Review Payments

<Warning> **Deprecated**: This endpoint is deprecated. Please use [List Payments](/api-reference/customers/api-integration/payments/list-payments) (v3) instead. </Warning> Review all your Payments. **Authentication:** [Bearer token required](/api-guide/getting-started/authentication#oauth-20-authentication)

Authentication

AuthorizationBearer

OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the Authentication section for detailed information on how to obtain and use your OAuth credentials.

Path parameters

customer_idstringRequired
Unique Customer Identifier

Query parameters

pageintegerOptional>=1
For queries that return arrays of data. Including this optional query parameter causes the set of results to be paginated by this number of pages.
limitintegerOptional>=1
For queries that return arrays of data. Adding this optional query parameter causes the set of results to be split into pages of this size. Default is 50.
currencystringOptional
Adding this optional parameter will retrieve only payments including this buy currency.
fromdateOptional
Adding this optional query parameter will retrieve only payments made after or on this date.
todateOptional
Adding this optional query parameter will retrieve only payments made before or on this date.
paymentstatusenumOptional
Adding this optional query parameter will retrieve only payments having this status.
Allowed values:

Response

Ok. The response will contain a list of Payment Instructions.
paymentslist of objects
Array of Payment instructions.
meta_dataobject
Container for metadata.

Errors